#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec4 v_position;

uniform vec3 externalColor;

void main()
{
    vec4 c = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    float local_x = v_position.x;
    float local_y = v_position.y;

    //x +差值*插值
    vec3 deltaColor = vec3(1.0,1.0,1.0) - externalColor.xyz;
    float factor_x = local_x/100.0;
    //y 原值*系数
    float factor_y = local_y/100.0;

    gl_FragColor.rgb = (externalColor + deltaColor*(1.0 - factor_x)) * factor_y;

    
    gl_FragColor.w = c.w;
}
